org.codehaus.groovy.ast.stmt

## Class AssertStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.AssertStatement

-     public class AssertStatement
      extends Statement

  Represents an assert statement such as `assert i != 0 : "should never be zero";`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertStatement(BooleanExpression booleanExpression)`
    `AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `getBooleanExpression()`
    `Expression` | `getMessageExpression()`
    `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `void` | `setMessageExpression(Expression messageExpression)`
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `getStatementLabel, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertStatement

          public AssertStatement(BooleanExpression booleanExpression)

    - #### AssertStatement

          public AssertStatement(BooleanExpression booleanExpression,
                         Expression messageExpression)

  - ### Method Detail

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getMessageExpression

          public Expression getMessageExpression()

    - #### getBooleanExpression

          public BooleanExpression getBooleanExpression()

    - #### setBooleanExpression

          public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### setMessageExpression

          public void setMessageExpression(Expression messageExpression)